Commit 1b240b710bffc506162abc93fa554b8e1f141f71

Authored by samuel thibault
2 parents a9d22f40 b107c10f

Merge branch 'udeb'

Conflicts:
	debian/changelog
debian/changelog
... ... @@ -6,6 +6,14 @@ at-spi2-atk (2.9.90-1) UNRELEASED; urgency=low
6 6  
7 7 -- Luke Yelavich <themuso@ubuntu.com> Tue, 20 Aug 2013 16:44:36 +1000
8 8  
  9 +at-spi2-atk (2.9.5-2) unstable; urgency=low
  10 +
  11 + * Add libatk-bridge2.0-0-udeb package, needed by libgtk-3-0-udeb.
  12 + (Closes: #723163)
  13 + * Add libatk-adaptor-udeb, for future accessibility of graphical installer.
  14 +
  15 + -- Samuel Thibault <sthibault@debian.org> Tue, 17 Sep 2013 11:14:41 +0200
  16 +
9 17 at-spi2-atk (2.9.5-1) unstable; urgency=low
10 18  
11 19 [ Luke Yelavich ]
... ...
debian/control
... ... @@ -29,6 +29,14 @@ Description: AT-SPI 2 toolkit bridge
29 29 This package includes a gtk-module that bridges ATK to the new
30 30 D-Bus based AT-SPI.
31 31  
  32 +Package: libatk-adaptor-udeb
  33 +Architecture: any
  34 +Section: debian-installer
  35 +Depends: ${misc:Depends}, ${shlibs:Depends}
  36 +Package-Type: udeb
  37 +Description: AT-SPI 2 toolkit bridge - module for d-i
  38 + This package includes the gtk-module for the debian installer.
  39 +
32 40 Package: libatk-adaptor-dbg
33 41 Architecture: any
34 42 Multi-Arch: same
... ... @@ -57,6 +65,14 @@ Depends: ${misc:Depends}, ${shlibs:Depends}
57 65 Description: AT-SPI 2 toolkit bridge - shared library
58 66 This package contains the ATK bridge shared library.
59 67  
  68 +Package: libatk-bridge-2.0-0-udeb
  69 +Section: debian-installer
  70 +Architecture: any
  71 +Depends: ${misc:Depends}, ${shlibs:Depends}
  72 +Package-Type: udeb
  73 +Description: AT-SPI 2 toolkit bridge - shared library for d-i
  74 + This package contains the ATK bridge shared library, for the debian installer.
  75 +
60 76 Package: libatk-bridge2.0-dev
61 77 Section: libdevel
62 78 Architecture: any
... ...
debian/libatk-adaptor-udeb.install 0 → 100644
... ... @@ -0,0 +1,2 @@
  1 +usr/lib/*/gtk-*
  2 +usr/lib/*/gnome-settings-daemon-3.0 usr/lib
... ...
debian/libatk-bridge-2.0-0-udeb.install 0 → 100644
... ... @@ -0,0 +1 @@
  1 +usr/lib/*/libatk-bridge-2.0.so.*
... ...
debian/rules
... ... @@ -13,11 +13,13 @@ override_dh_auto_test:
13 13 # Tests fail
14 14  
15 15 override_dh_makeshlibs:
16   - dh_makeshlibs -plibatk-bridge2.0-0
  16 + dh_makeshlibs -plibatk-bridge2.0-0 --add-udeb=libatk-bridge-2.0-0-udeb
17 17  
18 18 override_dh_strip:
19 19 dh_strip -plibatk-adaptor --dbg-package=libatk-adaptor-dbg
  20 + dh_strip -plibatk-adaptor-udeb
20 21 dh_strip -plibatk-bridge2.0-0 --dbg-package=libatk-bridge2.0-0-dbg
  22 + dh_strip -plibatk-bridge-2.0-0-udeb
21 23  
22 24 override_dh_auto_install:
23 25 dh_auto_install
... ...